<?xml version="1.0" encoding="utf-8"?>

<ruleset name="net.ranides.assira.standard"
    xmlns="http://pmd.sf.net/ruleset/1.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://pmd.sf.net/ruleset/1.0.0 http://pmd.sf.net/ruleset_xml_schema.xsd"
    xsi:noNamespaceSchemaLocation="http://pmd.sf.net/ruleset_xml_schema.xsd">

    <description>
    javadoc
    </description>
    
    <rule ref="category/java/documentation.xml/CommentRequired">
    <properties>
        <property name="methodWithOverrideCommentRequirement" value="Ignored" />
        <property name="accessorCommentRequirement" value="Ignored" />
        <property name="classCommentRequirement" value="Required" />
        <property name="fieldCommentRequirement" value="Ignored" />
        <property name="publicMethodCommentRequirement" value="Required" />
        <property name="protectedMethodCommentRequirement" value="Ignored" />
        <property name="enumCommentRequirement" value="Required" />
        <property name="serialVersionUIDCommentRequired" value="Ignored" />
        <property name="serialPersistentFieldsCommentRequired" value="Ignored" />
    </properties>
</rule>
    

</ruleset>